## org.apache.lucene.analysis.tokenattributes
Class TypeAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.TypeAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, TypeAttribute, Attribute

    public class TypeAttributeImpl

extends AttributeImpl
implements TypeAttribute, java.lang.Cloneable, java.io.Serializable

A Token's lexical type. The Default value is "word".

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_TYPE`

Constructor Summary
`TypeAttributeImpl()`
`TypeAttributeImpl(java.lang.String type)`

Method Summary
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
`int` `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
`void` `setType(java.lang.String type)` Set the lexical type.
`java.lang.String` `type()` Returns this Token's lexical type.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_TYPE

    public static final java.lang.String DEFAULT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### TypeAttributeImpl

    public TypeAttributeImpl()

### TypeAttributeImpl

    public TypeAttributeImpl(java.lang.String type)

Method Detail

### type

    public java.lang.String type()

  Returns this Token's lexical type. Defaults to "word".

  Specified by:
    `type` in interface `TypeAttribute`

### setType

    public void setType(java.lang.String type)

  Set the lexical type.

  Specified by:
    `setType` in interface `TypeAttribute`
  See Also:
    `type()`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `AttributeImpl`
  All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`

  Specified by:
    `equals` in class `AttributeImpl`

### hashCode

    public int hashCode()

  Description copied from class: `AttributeImpl`
  Subclasses must implement this method and should compute a hashCode similar to this:

         public int hashCode() {
           int code = startOffset;
           code = code * 31 + endOffset;
           return code;
         }

  see also `AttributeImpl.equals(Object)`

  Specified by:
    `hashCode` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.